Subject: RE: [Isis-wg] doubt regarding acknowledgement on broadcast circui ts

From: Les Ginsberg <[email-masked]>
Date: Mon, 18 Feb 2002 19:43:56 -0800

The spec is less clear than it might be in this regard. You are correct that
if C is a broadcast circuit no PSNP should be sent in this case. Better
wording - and more consistent with the wording in other sections would be:
 
   1)If C is a non-broadcast circuit, set SSNflag for that LSP for C
   2) shall not retain the LSP after the acknowledgement has been sent
 
   Les

-----Original Message-----
From: Aravind Ravikumar [mailto:[email-masked]]
Sent: Monday, February 18, 2002 6:11 AM
To: [email-masked]
Subject: [Isis-wg] doubt regarding acknowledgement on broadcast circuits

Hi All,

According to the section 7.3.16.4 (LSP expiration synchronisation) of ISO
10589
we have to send an acknowledgement even on broadcast circuit in the
following case:

If an LSP from source S with zero Remaining Lifetime is received
on circuit C :
a) If no LSP from S is in memory, then the IS shall
1) send an acknowledgement of the LSP on circuit C, but
2) shall not retain the LSP after the acknowledgement has been sent.

But I am not clear about the purpose of sending acknowldgement on a
broadcast 
circuit. Because the transmitter of the LSP is not waiting for any
acknowledgement 
and would have already reset its SRM flag for that particular circuit.

Am I right or wrong, please help me. 

Thanks in advance.

  _____  

Do You Yahoo!?
Yahoo!  <http://sports.yahoo.com/oly> Sports - Coverage of the 2002 Olympic
Games